package de.renew.dcdiagram;

import CH.ifa.draw.framework.Figure;

import de.renew.diagram.MessageConnection;
import de.renew.diagram.TaskFigure;

/**
 * DCAnswerMessageConnection is a special implementation of {@link MessageConnection} for the purposes of DC drawing behavior.
 * This class is responsible for answer message connections in exchange messages.
 *
 * @author Martin Wincierz
 */
public class DCAnswerMessageConnection extends MessageConnection {

    /**
     * Creates a new default DCAnswerMessageConnection with an end tip of type AssocArrowTip and the line style dashed.
     */
    public DCAnswerMessageConnection() {
        super();
        //set LineStyle to dashed
        setAttribute("LineStyle", "10");
        //setEndDecoration(new ArrowTip(0.40, 10, 10, true));
        //setAttribute("ArrowTip", ArrowTip.class.getName());
    }

    @Override
    public void updatePeerNames() {
        logger.info("update answer name");

        Figure start = startFigure();
        if (start instanceof TaskFigure) {
            if (getMessageText().startsWith("web")) {
                ((TaskFigure) start).addPeerName("web");
            } else {
                ((TaskFigure) start).addPeerName("exchange");
            }
        }
    }

    @Override
    public boolean canConnect(Figure start, Figure end) {
        return (start instanceof TaskFigure && end instanceof TaskFigure);

    }
}