package de.renew.dcdiagram;

import CH.ifa.draw.framework.Figure;

import de.renew.diagram.MessageConnection;
import de.renew.diagram.TaskFigure;

/**
 * DCExchangeMessageConnection is a special implementation of {@link MessageConnection} for the purposes of DC drawing behavior.
 * This class is responsible for exchange message connections and dc-calls.
 *
 * @author Martin Wincierz
 */
public class DCExchangeMessageConnection extends MessageConnection {

    /**
     * Creates a new default DCMessageConnection with an end tip of type AssocArrowTip.
     */
    public DCExchangeMessageConnection() {
        super();
        //setAttribute("ArrowTip", "DCMessageArrowTip");
        //setEndDecoration(new ArrowTip(0.40, 10, 10, true));
        //setAttribute("ArrowTip", ArrowTip.class.getName());
    }

    @Override
    public void updatePeerNames() {
        Figure start = startFigure();
        if (start instanceof TaskFigure) {
            if (getMessageText().startsWith("web")) {
                ((TaskFigure) start).addPeerName("web");
            } else {
                ((TaskFigure) start).addPeerName("exchange");
            }
        }
        Figure end = endFigure();
        if (end instanceof TaskFigure) {
            if (getMessageText().startsWith("web")) {
                ((TaskFigure) start).addPeerName("web");
            } else {
                ((TaskFigure) start).addPeerName("dc-call");
            }
        }
    }

    @Override
    public boolean canConnect(Figure start, Figure end) {
        return (start instanceof DCTaskFigure && end instanceof DCTaskFigure);

    }
}