package de.renew.diagram;

/**
 * DCServiceTextFigure is a special implementation of {@link DiagramTextFigure} for the purposes of DC drawing behavior.
 * It is a special TextFigure that provides a dc-label. All DCServiceTextFigures have a default text and an optional input text.
 * TODO move to dcdiagram package
 *
 * @author Lawrence Cabac
 */
public class DCServiceTextFigure extends DiagramTextFigure {
    private static final String EXCHANGE = "ex";

    /**
     * Creates a new DCServiceTextFigure with the display text "ex".
     */
    public DCServiceTextFigure() {
        super();
        setAlternateText(EXCHANGE);
    }

    /**
     * Creates a new DCServiceTextFigure with the ability to be connected to other figures according to the argument.
     * Sets the display text to "ex".
     *
     * @param canBeConnected boolean if the DCServiceTextFigure can be connected to other elements
     */
    public DCServiceTextFigure(boolean canBeConnected) {
        super(canBeConnected);
        setAlternateText(EXCHANGE);
    }

    /**
     * Creates a new DCServiceTextFigure with the given display text and the alternative display text "ex".
     *
     * @param text the text to be displayed
     */
    public DCServiceTextFigure(String text) {
        super(text);
        setAlternateText(EXCHANGE);
    }

    /**
     * Creates a new DCServiceTextFigure with the given text and the alternative display text "ex".
     * According to the argument it can have the ability to be read only.
     *
     * @param text the text to be displayed
     * @param isReadOnly the read only status of the text figure as boolean
     */
    public DCServiceTextFigure(String text, boolean isReadOnly) {
        super(text, isReadOnly);
        setAlternateText(EXCHANGE);
    }
}