/*
 * Created on Apr 16, 2003
 */
package de.renew.diagram;

import CH.ifa.draw.figures.ConnectedTextTool;
import CH.ifa.draw.figures.TextFigure;
import CH.ifa.draw.framework.DrawingEditor;


/**
 * DiagramConnectedTextTool is the Diagram Plugin-specific tool for crating TextFigures connected to specific
 * other figures. The tool wraps the capabilities of {@link ConnectedTextTool}.
 *
 * @author Lawrence Cabac
 */
public class DiagramConnectedTextTool extends ConnectedTextTool
                implements IDiagramElement {
    /**
     * Create a new DiagramConnectedTextTool within the given editor context and with a prototype to clone.
     * Assumes that the operation must connect by default.
     * @param editor the editor context within which to work
     * @param prototype the prototype TextFigure which will be cloned.
     */
    public DiagramConnectedTextTool(DrawingEditor editor,
                                    TextFigure prototype) {
        super(editor, prototype);
    }

    /**
     * Create a new DiagramConnectedTextTool with control over whether the operation must connect or not.
     * @param editor the editor context within which to work
     * @param prototype the prototype TextFigure to clone.
     * @param mustConnect boolean control over whether created text figure must connect with a parent figure or not
     */
    public DiagramConnectedTextTool(DrawingEditor editor, TextFigure prototype,
                                    boolean mustConnect) {
        super(editor, prototype, mustConnect);
    }
}