package de.renew.diagram;

import CH.ifa.draw.util.Command;

import de.renew.plugin.IPlugin;


/**
 * This class provides a command that generates a protocol net consisting of peers from an AIP.
 *
 * @author Lawrence Cabac
 */
public class GeneratePeersCommand extends Command {

    /**
     * The loaded diagram plugin this class is part of.
     */
    IPlugin _plugin;

    /**
     * Creates a new command with the name "Generate Peers".
     * Sets the intern plugin to the given plugin, which should be the loaded diagram plugin.
     *
     * @param plugin The loaded diagram plugin
     */
    public GeneratePeersCommand(IPlugin plugin) {
        super("Generate Peers");

        _plugin = plugin;
    }

    /**
     * Shows the Net Components Tools Palette
     */
    @Override
    public void execute() {
        //        logger.debug ("showPaletteCommand executed.");
        ((PaletteCreatorPlugin) _plugin).generatePeers();
    }
}