package de.renew.diagram;

import java.awt.Color;


/**
 * An ORDecoration is a {@link SplitDecoration} that designates its assigned {@link SplitFigure} as doing an inclusive
 * OR split. Its type defines the semantics of the figure, its configuration its graphical appearance in the AIP diagram.
 */
public class ORDecoration extends SplitDecoration {
    /**
     * Create a new ORDecoration of size 20, with a black frame and white infill color.
     */
    public ORDecoration() {
        setSize(20);
        setFillColor(Color.white);
        setFrameColor(Color.black);
    }
}