package de.renew.diagram;

import CH.ifa.draw.util.Command;

import de.renew.plugin.IPlugin;


/**
 * This class provides a command that shows or hides the aip tool.
 * The palette is shown or hidden in the left sidebar of renew where the tools are located.
 *
 * @author Lawrence Cabac
 */
public class ShowPaletteCommand extends Command {

    /**
     * The loaded diagram plugin this class is part of.
     */
    IPlugin _plugin;

    /**
     * Creates a new command with the name "show / hide".
     * Sets the intern plugin to the given plugin, which should be the loaded diagram plugin.
     *
     * @param plugin The loaded diagram plugin
     */
    public ShowPaletteCommand(IPlugin plugin) {
        super("show / hide");

        _plugin = plugin;
    }

    /**
     * Shows the Net Components Tools Palette
     */
    @Override
    public void execute() {
        //        logger.debug ("showPaletteCommand executed.");
        PaletteCreatorPlugin pcp = (PaletteCreatorPlugin) _plugin;
        pcp.create();
    }
}