package de.renew.formalism.bool;

import de.renew.expression.LocalVariable;

import java.util.HashSet;
import java.util.Set;

/**
 * Class to keep track of all created local Variables
 */
public class LocalVariableSet {
    private Set<LocalVariable> known = new HashSet<LocalVariable>();

    /**
     * Creates a local variable and stores it in the set.
     * If a known variable has the same name, the name becomes name'
     * @param name the name of the variabke
     * @return A LocalVariable with the variables name
     */
    public LocalVariable create(String name) {
        do {
            LocalVariable var = new LocalVariable(name);
            if (known.contains(var)) {
                name = name + "'";
            } else {
                known.add(var);
                return var;
            }
        } while (true);
    }
}