package de.renew.formalism.java;

/**
 * Class for ChannelInscription
 * Stores upLink, name and arity and provides hash and equals-function
 * Used by Parsers to get ChannelInscitpion Object
 */
public class ChannelInscription {
    /**
     * boolean if the ChannelInscription is an uplink
     */
    public final boolean isUplink;
    /**
     * name of Inscription
     */
    public final String name;
    /**
     * Arity(Amount of arguments)
     */
    public final int arity;
    private final int hash;

    /**
     * Constructor
     * @param isUplink Wether the ChannelInscription is an uplink
     * @param name the name
     * @param arity the arity
     */
    public ChannelInscription(boolean isUplink, String name, int arity) {
        this.isUplink = isUplink;
        this.name = name.intern();
        this.arity = arity;
        hash = name.hashCode() + arity * 135 + (isUplink ? 137 : 0);
    }

    @Override
    public int hashCode() {
        return hash;
    }

    @Override
    public boolean equals(Object o) {
        if (!(o instanceof ChannelInscription)) {
            return false;
        }
        ChannelInscription that = (ChannelInscription) o;
        return isUplink == that.isUplink && name.equals(that.name)
                        && arity == that.arity;
    }
}