package de.renew.plugin.command;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.util.List;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

public class ScriptCommandTest {
    private ScriptCommand cmd;

    @BeforeEach
    public void prepare() {
        cmd = new ScriptCommand();
    }

    @Test
    public void testSplitStringNoQuotes() {
        List<String> result = cmd.splitString("this is a sample");
        assertEquals(4, result.size());
        assertEquals("this", result.get(0));
        assertEquals("is", result.get(1));
        assertEquals("a", result.get(2));
        assertEquals("sample", result.get(3));
    }

    @Test
    public void testSplitStringWithQuotes() {
        List<String> result = cmd.splitString("this is \"a sample\"");
        assertEquals(3, result.size(), "Result is " + result);
        assertEquals("this", result.get(0));
        assertEquals("is", result.get(1));
        assertEquals("a sample", result.get(2));
    }

    @Test
    public void testSplitStringMixed() {
        List<String> result = cmd.splitString("this is \"a sample\" test");
        assertEquals(4, result.size(), "Result is " + result);
        assertEquals("this", result.get(0));
        assertEquals("is", result.get(1));
        assertEquals("a sample", result.get(2));
        assertEquals("test", result.get(3));
    }
}