package de.renew.logging.gui.test.helper;

import de.renew.logging.gui.RepositoryChangeListener;
import de.renew.logging.gui.StepTrace;
import de.renew.logging.gui.StepTraceRemoveRequest;
import de.renew.logging.gui.StepTraceRepository;

import java.util.LinkedList;
import java.util.List;

public class TestRepositoryChangeListener implements RepositoryChangeListener {

    final List<StepTraceRepository> stepTraceRepositoryAddedList = new LinkedList<>();
    final List<StepTraceRepository> stepTraceRepositoryRemovedList = new LinkedList<>();
    final List<StepTrace> stepTraceAddedList = new LinkedList<>();
    private final List<StepTrace> stepTraceChangedList = new LinkedList<>();
    private final List<StepTrace> stepTraceRemovedList = new LinkedList<>();

    public List<StepTraceRepository> getStepTraceRepositoryRemovedList() {
        return stepTraceRepositoryRemovedList;
    }

    public List<StepTrace> getStepTraceRemovedList() {
        return stepTraceRemovedList;
    }


    public List<StepTrace> getStepTraceChangedList() {
        return stepTraceChangedList;
    }


    public List<StepTraceRepository> getStepTraceRepositoryAddedList() {
        return stepTraceRepositoryAddedList;
    }

    public List<StepTrace> getStepTraceAddedList() {
        return stepTraceAddedList;
    }


    @Override
    public void stepTraceAdded(final StepTraceRepository repository, final StepTrace stepTrace) {
        stepTraceRepositoryAddedList.add(repository);
        stepTraceAddedList.add(stepTrace);
    }

    @Override
    public void stepTraceRemoved(final StepTraceRepository repository, final StepTrace stepTrace) {
        this.stepTraceRepositoryRemovedList.add(repository);
        this.stepTraceRemovedList.add(stepTrace);
    }

    @Override
    public void stepTraceRemoveRequest(final StepTraceRemoveRequest request) {
        throw new UnsupportedOperationException("Method is not defined: TestRepositoryChangeListener#stepTraceRemoveRequest");
    }

    @Override
    public void stepTraceChanged(final StepTrace stepTrace) {
        this.stepTraceChangedList.add(stepTrace);
    }
}
