package de.renew.ptchannel;

import de.renew.formalism.FormalismPlugin;
import de.renew.plugin.PluginAdapter;
import de.renew.plugin.PluginException;
import de.renew.plugin.PluginProperties;
import de.renew.ptchannel.nin.PTNetInNetCompiler;
import de.renew.ptchannel.single.PTNetWithChannelCompiler;

import java.net.URL;

/**
 * Representative for the PTChannel plugin.
 *
 * @author Lukas Voß
 */
public class PTChannelPlugin extends PluginAdapter {

    public static final String PT_Channel = "Single P/T Net with Channel Compiler";
    public static final String PT_NiN = "P/T Net in Net Compiler";

    public PTChannelPlugin(URL url) throws PluginException {
        super(url);
    }

    public PTChannelPlugin(PluginProperties props) {
        super(props);
    }

    /**
     * Initialize the plugin, register menus and commands.
     *
     * @see de.renew.plugin.PluginAdapter#init()
     */
    @Override
    public void init() {
        FormalismPlugin.getCurrent().addCompilerFactory(PT_Channel, new PTNetWithChannelCompiler());
        FormalismPlugin.getCurrent().addCompilerFactory(PT_NiN, new PTNetInNetCompiler());
    }

    /**
     * Deinitialize plugin.
     *
     * @see de.renew.plugin.PluginAdapter#cleanup()
     */
    @Override
    public boolean cleanup() {
        return super.cleanup();
    }
}