package de.renew.util;

/**
 * TextTokens are token objects which are part of Petri nets. TextTokens must provide a method for retrieving
 * their content as a representation in a String. This functionality is defined by this interface.
 */
public interface TextToken {
    /**
     * Transform the TextToken content into a String representation output.
     * @return the String representation of the TextToken.
     */
    public String toTokenText();
}